Page MenuHomePhabricator

Deploy AMC to fawiki, jawiki, thwiki, itwiki
Closed, ResolvedPublic1 Story Points

Description

Background

As AMC has made some progress, we'd like to expand the list of wikis with the feature set, focusing again on mobile-heavy wikipedias

Pre-deployment criteria

  • Let communities know ahead of time

Acceptance Criteria

  • Deploy AMC to the following wikipedias: fawiki, jawiki, thwiki, itwiki
NOTE: tentative date: Monday, June 17, 2019

QA Steps

Spot-check AMC on the following wikis:
Persian: https://fa.m.wikipedia.org/w/index.php
Japanese: https://ja.m.wikipedia.org/w/index.php
Thai: https://th.m.wikipedia.org/w/index.php
Italian: https://it.m.wikipedia.org/w/index.php

  • Make sure opting in works, test links: main menu, overflow menu, history page, talk tab, no need to test any of the tags

QA Results (Production)

ACFAJATHITDetails
1T225123#5267514
2T225123#5267514
3T225123#5267514
4T225123#5267514
5T225123#5267514

Details

Related Gerrit Patches:

Event Timeline

ovasileva created this task.Jun 5 2019, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 5:28 PM
ovasileva triaged this task as High priority.Jun 5 2019, 5:28 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva set the point value for this task to 1.Jun 11 2019, 4:09 PM

blocked on setting deployment date

ovasileva updated the task description. (Show Details)Jun 11 2019, 8:22 PM

This is blocked on SRE offsite, AKA no deployments, we will expect this to be unblocked June 17 (probably)

Change 517391 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable AMC mode for Persian, Japanese, Thai and Italian wikis

https://gerrit.wikimedia.org/r/517391

Change 517391 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AMC mode for Persian, Japanese, Thai and Italian wikis

https://gerrit.wikimedia.org/r/517391

Mentioned in SAL (#wikimedia-operations) [2019-06-17T12:05:52Z] <awight@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|517391 Enable AMC mode for Persian, Japanese, Thai and Italian wikis (T225123)]] (duration: 00m 47s)

pmiazga updated the task description. (Show Details)Jun 17 2019, 12:14 PM
ovasileva updated the task description. (Show Details)Jun 17 2019, 2:43 PM

Did some initial testing and it looks good!

ovasileva updated the task description. (Show Details)Jun 17 2019, 5:58 PM
Edtadros added a subscriber: Edtadros.EditedJun 19 2019, 2:15 AM

Test Result:Production

Status: ✅ PASS
OS: Per Device
Browser: Chrome on Android, Safari on iOS

Test Artifact(s):

Persian: https://fa.m.wikipedia.org/w/index.php
Japanese: https://ja.m.wikipedia.org/w/index.php
Thai: https://th.m.wikipedia.org/w/index.php
Italian: https://it.m.wikipedia.org/w/index.php

Galaxy S8iPhone 7Moto GPixel 2
ACDescriptionfawikijawikithwikiitwiki
1Opt in works
2Main menu links
3Overflow menu links
4History Page
5Talk tabs
Edtadros updated the task description. (Show Details)Jun 19 2019, 2:26 PM
ovasileva closed this task as Resolved.Jun 19 2019, 2:48 PM

Looks good, thanks @Edtadros!